#
# spec file for package mozilla-hu (Version 1.78)
#
# Copyright (c) 2005 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://www.suse.de/feedback/
#

# norootforbuild
# neededforbuild  mozilla
# usedforbuild    aaa_base acl attr bash bind-utils bison bzip2 coreutils cpio cpp cvs cyrus-sasl db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-devel pam-modules patch permissions popt ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel autoconf automake binutils cracklib gcc gdbm gettext libtool mozilla perl rpm

Name:         mozilla-hu
License:      GPL
Group:        Productivity/Networking/Web/Browsers
Autoreqprov:  on
Version:      1.78
Release:      6
PreReq:       mozilla >= 1.7, mozilla < 1.8
Source0:      http://ftp.mozilla.org/pub/mozilla.org/mozilla/l10n/lang/moz1.78/mozilla-1.7.8.hu-HU.langpack.xpi
Source1:      mozilla-hu-chrome
Source2:      locale-hu
URL:          http://mozilla.fsf.hu
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
Summary:      Hungarian Language Pack for Mozilla

%description
Hungarian Language Pack for Mozilla adds Hungarian localisation and
Hungarian region to Mozilla.



Authors:
--------
    Tmr Andrs <timar@gnome.hu>

%define prefix   /opt/mozilla
%prep
%setup -q -n %{name} -c %{name}
unzip -o $RPM_SOURCE_DIR/mozilla-1.7.8.hu-HU.langpack.xpi

%build

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%prefix/%_lib/
cp -r chrome defaults searchplugins $RPM_BUILD_ROOT/%prefix/%_lib/
rm $RPM_BUILD_ROOT/%prefix/%_lib/chrome/hu-mac.jar \
   $RPM_BUILD_ROOT/%prefix/%_lib/chrome/hu-win.jar
pushd $RPM_BUILD_ROOT/%prefix/%_lib/searchplugins
      for i in dmoz.src google.src      
      do
	mv $i hu-$i
      done
popd
mkdir -p $RPM_BUILD_ROOT/%prefix/installed-chrome.d
cp $RPM_SOURCE_DIR/mozilla-hu-chrome $RPM_BUILD_ROOT/%prefix/installed-chrome.d/mozilla-hu
mkdir -p $RPM_BUILD_ROOT/%prefix/installed-chrome.d/locales
cp $RPM_SOURCE_DIR/locale-hu  $RPM_BUILD_ROOT/%prefix/installed-chrome.d/locales/hu

%pre
/opt/mozilla/bin/rebuild-databases.sh --pre

%post
/opt/mozilla/bin/rebuild-databases.sh --post

%preun
[ -e /opt/mozilla/bin/rebuild-databases.sh ] && \
  /opt/mozilla/bin/rebuild-databases.sh --pre || :

%postun
[ -e /opt/mozilla/bin/rebuild-databases.sh ] && \
  /opt/mozilla/bin/rebuild-databases.sh --post || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{prefix}/%_lib/*
%{prefix}/installed-chrome.d/mozilla-hu
%prefix/installed-chrome.d/locales/hu

%changelog -n mozilla-hu
* Thu Jul 07 2005 - stark@suse.de
- update to version 1.7.8
- fixed uninstallation scripts
- don't package other platform's chromes
* Tue Sep 28 2004 - mfabian@suse.de
- Bugzilla #42312: updated langpack installation.
* Fri Aug 20 2004 - mfabian@suse.de
- update to 1.72.
* Fri Aug 20 2004 - ro@suse.de
- fix prereq version
* Thu Aug 19 2004 - sbrabec@suse.cz
- Fixed Prereq (#43990).
* Wed Aug 18 2004 - ke@suse.de
- Remove conflicting files as reported by Wolfgang Rosenauer [#43699].
* Wed May 19 2004 - ro@suse.de
- fix another conflict with mozilla
* Thu Mar 04 2004 - sndirsch@suse.de
- updated to version 1.6
* Mon Feb 23 2004 - ro@suse.de
- Biarch fix. Removed noarch flag
* Fri Feb 06 2004 - hmacht@suse.de
- building as non-root
* Mon Sep 08 2003 - varkoly@suse.de
- changing specfile
* Fri Aug 08 2003 - varkoly@suse.de
- updated to version 1.4
* Mon Jun 23 2003 - ro@suse.de
- added directory to filelist
* Wed Apr 02 2003 - ro@suse.de
- fix path for /opt/mozilla/bin/rebuild-databases.sh
* Wed Mar 12 2003 - szenti@suse.de
- Package created, version 1.2.1
